---
lang: en
title: 'API docs: context.interceptionhandler'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.context.interceptionhandler.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [InterceptionHandler](./context.interceptionhandler.md)

## InterceptionHandler class

A proxy handler that applies interceptors

See https://developer.mozilla.org/en/docs/Web/JavaScript/Reference/Global\_Objects/Proxy

<b>Signature:</b>

```typescript
export declare class InterceptionHandler<T extends object> implements ProxyHandler<T> 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(context)](./context.interceptionhandler._constructor_.md) |  | Constructs a new instance of the <code>InterceptionHandler</code> class |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [get(target, propertyName, receiver)](./context.interceptionhandler.get.md) |  |  |


